# mpi4py.MPI.Intercomm

class mpi4py.MPI.Intercomm

  Bases: `Comm`

  Intercommunicator.

  static __new__(cls, comm=None)
    Parameters:

      comm (Intercomm | None)

    Return type:

      Self

  Methods Summary

  `Create_from_groups`(local_group, ...[, ...]) | Create communicator from group.
  `Get_remote_group`() | Access the remote group associated with the inter-communicator.
  `Get_remote_size`() | Intercommunicator remote size.
  `Merge`([high]) | Merge intercommunicator into an intracommunicator.

  Attributes Summary

  `remote_group` | Remote group.
  `remote_size` | Number of remote processes.

  Methods Documentation

  classmethod Create_from_groups(local_group, local_leader, remote_group, remote_leader, stringtag='org.mpi4py', info=INFO_NULL, errhandler=None)

    Create communicator from group.

    Parameters:

      - local_group (Group)

      - local_leader (int)

      - remote_group (Group)

      - remote_leader (int)

      - stringtag (str)

      - info (Info)

      - errhandler (Errhandler | None)

    Return type:

      Intracomm

  Get_remote_group()

    Access the remote group associated with the inter-communicator.

    Return type:

      Group

  Get_remote_size()

    Intercommunicator remote size.

    Return type:

      int

  Merge(high=False)

    Merge intercommunicator into an intracommunicator.

    Parameters:

      high (bool)

    Return type:

      Intracomm

  Attributes Documentation

  remote_group

    Remote group.

  remote_size

    Number of remote processes.